import request from '@/utils/request'

// 创建报价单管理
export function createOffer(data) {
  return request({
    url: '/ecw/offer/create',
    method: 'post',
    data: data
  })
}

// 更新报价单管理
export function updateOffer(data) {
  return request({
    url: '/ecw/offer/update',
    method: 'put',
    data: data
  })
}

// 删除报价单管理
export function deleteOffer(id) {
  return request({
    url: '/ecw/offer/delete?id=' + id,
    method: 'delete'
  })
}

// 获得报价单管理
export function getOffer(id) {
  return request({
    url: '/ecw/offer/get?offerId=' + id,
    method: 'get'
  })
}

// 获得报价单管理分页
export function getOfferPage(query) {
  return request({
    url: '/ecw/offer/page',
    method: 'get',
    params: query
  })
}

// 导出报价单管理 Excel
export function exportOfferExcel(query) {
  return request({
    url: '/ecw/offer/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 更新报价单结果
export function updateOfferResult(data) {
  return request({
    url: '/ecw/offer/update/result',
    method: 'put',
    data: data
  })
}

// 获取费用清单列表
export function getProductFeeList(prodCreateReqVO){
  return request({
    url: '/ecw/offer/calculation/prod-fee-List',
    method: 'post',
    data: prodCreateReqVO
  })
}

// 获取费用清单
export function getProductFee(calculationFeeParamVO){
  return request({
    url: '/ecw/offer/calculation/fee-List',
    method: 'post',
    data: calculationFeeParamVO
  })
}

// 特价申请
export function createOfferSpecial(data) {
  return request({
    url: '/ecw/offer/special/apply',
    method: 'put',
    data: data
  })
}
